Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-32844

chatd can't be launched from command line

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: 2.2.2
    • Fix Version/s: None
    • Component/s: Chat
    • Labels:
    • Affected Branches:
      MOODLE_22_STABLE

      Description

      Attempting to launch chatd.php gives the following error message:

      "Moodle chat daemon v1.0 on PHP 5.3.5

      Command line scripts must define CLI_SCRIPT before requiring config.php"

      Replication steps:

      1. install latest Moodle code
      2. open a command line at mod/chat
      3. execute 'php chatd.php'

      You should see the above error and the script dies

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              dongsheng Dongsheng Cai
              Reporter:
              maherne Michael Aherne
              Participants:
              Component watchers:
              Amaia Anabitarte, Carlos Escobedo, Ferran Recio, Sara Arjona (@sarjona), Víctor Déniz Falcón
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: